ResolveNaturalIdEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class ResolveNaturalIdEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.ResolveNaturalIdEvent

All Implemented Interfaces:
  Serializable

    public class ResolveNaturalIdEvent

extends AbstractEvent

Defines an event class for the resolving of an entity id from the entity's natural-id

See Also:
  Serialized Form

Field Summary
`static LockMode` | `DEFAULT_LOCK_MODE`

Constructor Summary
`ResolveNaturalIdEvent(Map<String,Object> naturalIdValues, EntityPersister entityPersister, EventSource source)`
`ResolveNaturalIdEvent(Map<String,Object> naturalIdValues, EntityPersister entityPersister, LockOptions lockOptions, EventSource source)`

Method Summary
`Serializable` | `getEntityId()`
`String` | `getEntityName()`
`EntityPersister` | `getEntityPersister()`
`LockOptions` | `getLockOptions()`
`Map<String,Object>` | `getNaturalIdValues()`
`Object[]` | `getOrderedNaturalIdValues()`
`void` | `setEntityId(Serializable entityId)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LOCK_MODE

    public static final LockMode DEFAULT_LOCK_MODE

Constructor Detail

### ResolveNaturalIdEvent

    public ResolveNaturalIdEvent(Map<String,Object> naturalIdValues,
                                 EntityPersister entityPersister,
                                 EventSource source)

### ResolveNaturalIdEvent

    public ResolveNaturalIdEvent(Map<String,Object> naturalIdValues,
                                 EntityPersister entityPersister,
                                 LockOptions lockOptions,
                                 EventSource source)

Method Detail

### getNaturalIdValues

    public Map<String,Object> getNaturalIdValues()

### getOrderedNaturalIdValues

    public Object[] getOrderedNaturalIdValues()

### getEntityPersister

    public EntityPersister getEntityPersister()

### getEntityName

    public String getEntityName()

### getLockOptions

    public LockOptions getLockOptions()

### getEntityId

    public Serializable getEntityId()

### setEntityId

    public void setEntityId(Serializable entityId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.